libzypp 17.38.15

zypp::strv Namespace Reference

## Namespaces
namespace | detail

## Functions
std::string | doBSEscape (std::string_view word_r, std::string_view special_r)
std::string | unBSEscape (std::string_view word_r)
std::vector< std::string > | unBSEscape (const std::vector< std::string_view > &words_r)
std::vector< std::string_view > | splitBSEscaped (std::string_view line_r, std::string_view chars_r, unsigned maxSplits_r)

## Function Documentation

## ◆ doBSEscape()

std::string zypp::strv::doBSEscape | ( | std::string_view | word_r,
|  | std::string_view | special_r )

Definition at line 187 of file StringV.cc.

## ◆ unBSEscape() [1/2]

std::string zypp::strv::unBSEscape | ( | std::string_view | word_r | ) |

Definition at line 213 of file StringV.cc.

## ◆ unBSEscape() [2/2]

std::vector< std::string > zypp::strv::unBSEscape | ( | const std::vector< std::string_view > & | words_r | ) |

Definition at line 232 of file StringV.cc.

## ◆ splitBSEscaped()

std::vector< std::string_view > zypp::strv::splitBSEscaped | ( | std::string_view | line_r,
|  | std::string_view | chars_r,
|  | unsigned | maxSplits_r )

Definition at line 243 of file StringV.cc.